Retrieve an SLO
GET
/v1/slo/{id}/
const url = 'https://example.com/v1/slo/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/slo/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single SLO by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this slo.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
report_config
string format: uuid
description
string
monitor
required
string format: uuid
availability_objective
Objective: Uptime in %
string format: decimal
reliability_objective
Objective: Number of fail/duration (weekly/monthly) acceptable
integer
response_time_objective
Objective: Response time in ms acceptable
integer
created_at
required
string format: date-time
Examplegenerated
{ "report_config": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "monitor": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "availability_objective": "example", "reliability_objective": 1, "response_time_objective": 1}